#include <stdlib.h>                /* Sequenzen */
 
/* 4. Testen Sie die Verwendung von Zufallszahlen.
Erzeugen Sie je 3 Zufallszahlen zwischen 0 und RAND_MAX, zwischen 0 und 50,
zwischen -40 und 90 sowie als reelle Zahl zwischen 0 und 1!
Hinweis: srand(time(0)) initialisiert den Zufallsgenerator, rand()%50 liefert
eine Zufallszahl >=0 und <50.
-----------------------------------------------------*/
int main()
{
  srand(time(0));                  /* initialisiert den Zufallsgenerator */

  printf("\n\n rand() liefert eine Zufallszahl zwischen 0 und %i.\n", RAND_MAX);

  printf("\n     rand(): %9i %9i %9i \n", rand(), rand(), rand() );

  printf("\n  0 <=z< 50: %9i %9i %9i \n", rand()%50, rand()%50, rand()%50 );

  printf("\n-40 <=z< 40: %9i %9i %9i \n", rand()%80-40, rand()%80-40,
                                                         rand()%80-40 );

  printf("\n  0 <=z<= 1: %9f %9f %9f ", (float)rand()/RAND_MAX,
                                        (float)rand()/32767,
                                               rand()/32767. );

  printf("\n\n\n"); system("PAUSE"); return 0;
}

/* Hinweise:

1.  % = modulo, liefert den Rest nach ganzzahliger Division

    zum Beispiel: 7%3 = 1, denn 7:3 = 2 Rest 1

2.  (float) bewirkt eine Typumwandlung

*/
